## poxml 21.12.3

=== debian/changelog ===
poxml (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:20:21 +0000

poxml (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:26:56 +0000

poxml (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:34:47 +0000

poxml (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:31:47 +0000

poxml (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:14:19 +0000

poxml (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:27:10 +0000

poxml (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:33:29 +0000

poxml (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:49:22 +0000

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.7.0~),
               libgettextpo-dev,
               libkf5doctools-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/poxml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 22.08.1

=== debian/changelog ===
poxml (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:49:23 +0100

poxml (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:58:30 +0100

poxml (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:41 +0100

poxml (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:11:23 +0100

poxml (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:10:45 +0100

poxml (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:57:51 +0100

## poxml 22.12.3

=== CMakeLists.txt ===
project(poxml)

cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

set (QT_MIN_VERSION "5.12.0")
set (KF5_MIN_VERSION "5.68.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

find_package(GettextPO REQUIRED)
set_package_properties("gettext-po" PROPERTIES
        DESCRIPTION "A library for processing PO files"
        URL "https://www.gnu.org/software/gettext"
        TYPE REQUIRED
        PURPOSE "Required to build the poxml tools.")

find_package(Gettext)
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Xml)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS DocTools)


add_subdirectory( doc )
kdoctools_install(po)

include_directories(${GETTEXTPO_INCLUDE_DIR})

########### next target ###############

set(split2po_SRCS split.cpp parser.cpp gettextpoutils.cpp)


add_executable(split2po ${split2po_SRCS})

target_link_libraries(split2po ${GETTEXTPO_LIBRARY} Qt5::Xml Qt5::Core)

install(TARGETS split2po  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(xml2pot_SRCS xml2pot.cpp parser.cpp gettextpoutils.cpp)


add_executable(xml2pot ${xml2pot_SRCS})

target_link_libraries(xml2pot ${GETTEXTPO_LIBRARY} Qt5::Xml Qt5::Core)

install(TARGETS xml2pot  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(po2xml_SRCS
   po2xml.cpp
   gettextpoutils.cpp
   parser.cpp)


add_executable(po2xml ${po2xml_SRCS})

target_link_libraries(po2xml ${GETTEXTPO_LIBRARY} Qt5::Xml Qt5::Core)

install(TARGETS po2xml  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(swappo_SRCS
   swappo.cpp
   gettextpoutils.cpp)


add_executable(swappo ${swappo_SRCS})

target_link_libraries(swappo ${GETTEXTPO_LIBRARY})

install(TARGETS swappo  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})



if (BUILD_TESTING)
    add_subdirectory(tests)
endif()


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===

set(lauri_xml "${CMAKE_CURRENT_SOURCE_DIR}/lauri.xml")

if (GETTEXT_FOUND)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lauri.pot
  COMMAND checkXML5 ${lauri_xml}
  COMMAND xml2pot ${lauri_xml} > lauri.pot
  COMMAND msgmerge -o lauri.pot lauri.pot lauri.pot
  DEPENDS ${lauri_xml}
          xml2pot
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lauri.po
  COMMAND msgmerge -o lauri.po ${CMAKE_CURRENT_SOURCE_DIR}/lauri.po lauri.pot
  COMMAND msgfmt --statistics lauri.po -o /dev/null
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/lauri.po
          ${CMAKE_CURRENT_BINARY_DIR}/lauri.pot
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lauri_de.xml
  COMMAND po2xml ${lauri_xml} lauri.po | sed -e "s,<!ENTITY % English,<!ENTITY % German," > lauri_de.xml
  DEPENDS ${lauri_xml}
          ${CMAKE_CURRENT_BINARY_DIR}/lauri.po
          po2xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  VERBATIM
)

add_custom_target(tests-data ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/lauri_de.xml
)

add_test(
  NAME lauri_de
  COMMAND checkXML5 lauri_de.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_test(
  NAME split2po
  COMMAND split2po ${lauri_xml} lauri_de.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

endif ()

=== debian/changelog ===
poxml (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:06 +0100

poxml (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:41:16 +0100

poxml (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:03 +0100

poxml (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:10 +0100

poxml (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Apr 2022 22:42:27 +0200

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               libgettextpo-dev,
               libkf5doctools-dev (>= 5.68.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/poxml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 23.08.1

=== debian/changelog ===
poxml (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:07:52 +0100

poxml (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:47 +0100

poxml (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:12 +0100

poxml (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:52 +0100

poxml (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:42 +0100

poxml (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:58 +0000

poxml (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:10 -0600

poxml (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:09 +0000

poxml (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 11:45:11 +0000

poxml (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:18:57 +0000

poxml (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:08 +0000

poxml (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:56:51 +0000

poxml (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:17:49 +0000

## poxml 23.08.5

=== debian/changelog ===
poxml (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:01 +1100

poxml (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:31:43 +0000

poxml (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:31:37 -0700

poxml (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:05 +0000

poxml (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:33 +0000

poxml (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:40:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: poxml
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -12,16 +13,16 @@
                libkf5doctools-dev (>= 5.68.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/poxml
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
 
 Package: poxml
 Architecture: any
 Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: tools for translating DocBook XML files with Gettext
  This is a collection of tools that facilitate translating DocBook XML
  files using Gettext message files (PO files).

## poxml 24.12.0

=== debian/changelog ===
poxml (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Switch to declarative KF6 debhelper build sequence.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:44:52 +0100

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libgettextpo-dev,
               libkf6doctools-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/poxml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 24.12.1

=== debian/changelog ===
poxml (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:41:12 +0000

## poxml 24.12.3

=== debian/changelog ===
poxml (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:51:36 +0000

poxml (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:24:18 +0000

## poxml 25.04.0

=== debian/changelog ===
poxml (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:19:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf6doctools-dev (>= 6.0.0~),
                pkg-kde-tools (>= 0.12),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/poxml
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml

## poxml 25.04.3

=== debian/changelog ===
poxml (4:25.04.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 14:03:05 +0000

poxml (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:06:31 +0000

poxml (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:18:54 +0000

poxml (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:56:42 +0000

poxml (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:14:24 +0000

poxml (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:45:12 +0000

poxml (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:10:03 +0000

poxml (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:05:25 +0000

poxml (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:57:13 +0000

poxml (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:45:00 +0000

poxml (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:16:46 +0000

poxml (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:08:08 +0000

poxml (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:50:46 +0000

poxml (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:07:53 +0000

poxml (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:52:37 +0000

poxml (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:41:27 +0000

poxml (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:20:45 +0000

poxml (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:43:04 +0000

poxml (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:58:46 +0000

poxml (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:44:57 +0000

poxml (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:29:30 +0000

poxml (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:27:58 +0000

poxml (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:06:22 +0000

poxml (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:39:35 +0000

poxml (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:58:20 +0000

poxml (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:36:30 +0000

poxml (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:12:53 +0000

poxml (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:18:12 +0000

poxml (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:40:37 +0000

poxml (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:53:34 +0000

poxml (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:40:44 +0000

poxml (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:28:34 +0000

poxml (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:48:48 +0000

poxml (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:44:30 +0000

poxml (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 14:00:12 +0000

poxml (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:07:35 +0000

poxml (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:03:39 +0000

poxml (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:33:55 +0000

poxml (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:32 +0000

poxml (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:47:06 +0000

poxml (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021.12.20:18 +0000

poxml (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.09:06 +0000

poxml (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 09:00:06 +0000

poxml (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:44 +0000

poxml (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:05:23 +0000

poxml (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:16:17 +0000

poxml (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:41 +0000

poxml (4:20.12.0-0neon) focal; urgency=medium

  * New release



## poxml 25.07.80

=== debian/changelog ===
poxml (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:28:19 +0100

poxml (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:58:07 +0100

poxml (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:03:58 +0100

poxml (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:19:56 +0100

poxml (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:06:11 +0100

## poxml 25.07.90

=== debian/changelog ===
poxml (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:03:36 +0100

## poxml 25.08.0

=== debian/changelog ===
poxml (4:25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 07:48:36 +0000

poxml (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:52:38 +0000

## poxml 25.08.1

=== debian/changelog ===
poxml (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:35 +0100

poxml (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:35:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: poxml
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libgettextpo-dev,
                libkf6doctools-dev (>= 6.0.0~),
                pkg-kde-tools (>= 0.12),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/sdk/poxml
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
 
 Package: poxml
 Architecture: any

## poxml 25.08.1+p24.04+vstable+git20250910.0606

=== debian/changelog ===
poxml (4:25.08.1+p24.04+vstable+git20250910.0606-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:06:36 +0000

poxml (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:24:33 +0000

## poxml 25.08.2

=== doc/CMakeLists.txt ===
kdoctools_create_manpage(man-po2xml.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-split2po.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-swappo.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
kdoctools_create_manpage(man-xml2pot.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
poxml (4:25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 05:25:22 +0000

poxml (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:03:10 +0000

## poxml 25.08.2+p24.04+vstable+git20251011.0919

=== debian/changelog ===
poxml (4:25.08.2+p24.04+vstable+git20251011.0919-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:19:45 +0000

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kf6-kdoctools-dev,
               libgettextpo-dev,
               pkg-kde-tools (>= 0.12),
               qt6-base-dev
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/poxml.git
Vcs-Browser: https://invent.kde.org/neon/kde/poxml
Maintainer: Neon CI <neon@kde.org>

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 25.08.3

=== debian/changelog ===
poxml (4:25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 17:17:05 +0000

poxml (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:12 +1000

## poxml 25.08.3+p24.04+vunstable+git20251106.1717

=== debian/changelog ===
poxml (4:25.08.3+p24.04+vunstable+git20251106.1717-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 17:17:38 +0000

## poxml 25.11.80

=== debian/changelog ===
poxml (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:55 +0000

poxml (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:34 +0000

poxml (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:13 +0100

## poxml 25.11.90

=== debian/changelog ===
poxml (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:42 +0000

## poxml 25.12.0

=== debian/changelog ===
poxml (4:25.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.0).
  * debian/control: Drop Rules-Requires-Root: no, not needed anymore.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Dec 2025 16:16:26 -0500

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libgettextpo-dev,
               libkf6doctools-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/sdk/poxml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 25.12.0+p24.04+vstable+git20251208.1603

=== debian/changelog ===
poxml (4:25.12.0+p24.04+vstable+git20251208.1603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:03:01 +0000

poxml (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:36:21 +1000

## poxml 25.12.0+p24.04+vunstable+git20251208.1603

=== debian/changelog ===
poxml (4:25.12.0+p24.04+vunstable+git20251208.1603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:03:04 +0000

## poxml 25.12.1

=== debian/changelog ===
poxml (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:19:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: poxml
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libgettextpo-dev,
                libkf6doctools-dev (>= 6.0.0~),
@@ -14,8 +15,8 @@
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/sdk/poxml
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
 
 Package: poxml
 Architecture: any

## poxml 25.12.1+p24.04+vstable+git20260106.1736

=== debian/changelog ===
poxml (4:25.12.1+p24.04+vstable+git20260106.1736-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 17:36:10 +0000

poxml (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:26:21 +1000

## poxml 25.12.1+p24.04+vunstable+git20260106.1736

=== debian/changelog ===
poxml (4:25.12.1+p24.04+vunstable+git20260106.1736-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 17:36:23 +0000

## poxml 25.12.2

=== debian/changelog ===
poxml (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:32:51 +0000
